import java.util.Scanner;
import java.io.PrintWriter;
import java.io.File;

public class zarplata {
    public static void main (String[]args)  throws Exception {
        Scanner in = new Scanner (new File("mean.in"));
        PrintWriter out = new PrintWriter (new File ("mean.out"));
        int N = in.nextInt();
        int A = in.nextInt();
        int B = in.nextInt();
        if ( B == 0 ){
            for (int i=0;i<N;i++) out.print(A+" ");
        }
        else {   B=B*N;
            if (B%100 == 0) {
                for (int i=0;i<N-1;i++) out.print(A+" ");
           out.print(A+B/100);
            }
            else out.print(0);
    }
        out.close();
        in.close();
    }
}
